<?php

namespace App\Filament\Clusters\Loans\LoanOrders\Schemas;

use App\Modules\LoanOrder\Models\LoanOrder;
use Filament\Infolists\Components\TextEntry;
use Filament\Schemas\Schema;

class LoanOrderInfolist
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextEntry::make('unique_id')
                    ->placeholder('-'),
                TextEntry::make('source')
                    ->placeholder('-'),
                TextEntry::make('user.name')
                    ->label('User')
                    ->placeholder('-'),
                TextEntry::make('loan_type')
                    ->numeric(),
                TextEntry::make('region'),
                TextEntry::make('branch.name')
                    ->label('Branch'),
                TextEntry::make('customer_name'),
                TextEntry::make('customer_surname'),
                TextEntry::make('customer_patronic_name')
                    ->placeholder('-'),
                TextEntry::make('passport_address'),
                TextEntry::make('real_address'),
                TextEntry::make('passport_serie'),
                TextEntry::make('passport_id'),
                TextEntry::make('passport_given_at')
                    ->date(),
                TextEntry::make('passport_given_by'),
                TextEntry::make('born_place'),
                TextEntry::make('born_at')
                    ->date(),
                TextEntry::make('email')
                    ->label('Email address')
                    ->placeholder('-'),
                TextEntry::make('phone'),
                TextEntry::make('phone_additional')
                    ->placeholder('-'),
                TextEntry::make('phone_home')
                    ->placeholder('-'),
                TextEntry::make('work_region')
                    ->placeholder('-'),
                TextEntry::make('workProvince.name')
                    ->label('Work province')
                    ->placeholder('-'),
                TextEntry::make('work_company')
                    ->placeholder('-'),
                TextEntry::make('work_company_accountant_number')
                    ->placeholder('-'),
                TextEntry::make('work_started_at')
                    ->date()
                    ->placeholder('-'),
                TextEntry::make('work_salary')
                    ->placeholder('-'),
                TextEntry::make('work_position')
                    ->placeholder('-'),
                TextEntry::make('education'),
                TextEntry::make('marriage_status'),
                TextEntry::make('passport_one')
                    ->columnSpanFull(),
                TextEntry::make('passport_two')
                    ->columnSpanFull(),
                TextEntry::make('passport_three')
                    ->columnSpanFull(),
                TextEntry::make('passport_four')
                    ->columnSpanFull(),
                TextEntry::make('loan_amount')
                    ->placeholder('-'),
                TextEntry::make('card_number')
                    ->placeholder('-'),
                TextEntry::make('card_name')
                    ->placeholder('-'),
                TextEntry::make('card_month')
                    ->placeholder('-'),
                TextEntry::make('card_year')
                    ->placeholder('-'),
                TextEntry::make('guarantor_name')
                    ->placeholder('-'),
                TextEntry::make('guarantor_surname')
                    ->placeholder('-'),
                TextEntry::make('guarantor_patronic_name')
                    ->placeholder('-'),
                TextEntry::make('guarantor_passport_serie')
                    ->placeholder('-'),
                TextEntry::make('guarantor_passport_id')
                    ->placeholder('-'),
                TextEntry::make('guarantor_card_number')
                    ->placeholder('-'),
                TextEntry::make('guarantor_card_name')
                    ->placeholder('-'),
                TextEntry::make('guarantor_card_month')
                    ->placeholder('-'),
                TextEntry::make('guarantor_card_year')
                    ->placeholder('-'),
                TextEntry::make('guarantor_note')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_name')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_surname')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_patronic_name')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_passport_serie')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_passport_id')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_card_number')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_card_name')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_card_month')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_card_year')
                    ->placeholder('-'),
                TextEntry::make('guarantor_2_note')
                    ->placeholder('-'),
                TextEntry::make('loan_card_number')
                    ->placeholder('-'),
                TextEntry::make('loan_card_name')
                    ->placeholder('-'),
                TextEntry::make('loan_card_month')
                    ->placeholder('-'),
                TextEntry::make('loan_card_year')
                    ->placeholder('-'),
                TextEntry::make('loan_order_required_doc_id')
                    ->numeric()
                    ->placeholder('-'),
                TextEntry::make('status')
                    ->placeholder('-'),
                TextEntry::make('satisfiable')
                    ->placeholder('-'),
                TextEntry::make('notes')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('created_at')
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('updated_at')
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('deleted_at')
                    ->dateTime()
                    ->visible(fn (LoanOrder $record): bool => $record->trashed()),
            ]);
    }
}
